# Draw
TKDCAF
DrawDim

# DrawDim_Dimension Class Reference

`#include <DrawDim_Dimension.hxx>`

Inheritance diagram for DrawDim_Dimension:

[legend]

## Public Member Functions

Standard_EXPORT void | SetValue (const Standard_Real avalue)
Standard_EXPORT Standard_Real | GetValue () const
Standard_EXPORT Standard_Boolean | IsValued () const
Standard_EXPORT void | TextColor (const Draw_Color &C)
Standard_EXPORT Draw_Color | TextColor () const
Standard_EXPORT void | DrawText (const gp_Pnt &Pos, Draw_Display &D) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT | DrawDim_Dimension ()

## Protected Attributes

Standard_Boolean | is_valued
Standard_Real | myValue
Draw_Color | myTextColor

## Constructor & Destructor Documentation

Standard_EXPORT DrawDim_Dimension::DrawDim_Dimension | ( |  | ) | `[protected]`

## Member Function Documentation

Standard_EXPORT void DrawDim_Dimension::DrawText | ( | const gp_Pnt & | Pos,
|  | Draw_Display & | D
| ) | const

Standard_EXPORT Standard_Real DrawDim_Dimension::GetValue | ( |  | ) | const

Standard_EXPORT const DrawDim_Dimension::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Draw_Drawable3D. Reimplemented in DrawDim_Angle, DrawDim_Distance, DrawDim_PlanarAngle, DrawDim_PlanarDiameter, DrawDim_PlanarDimension, DrawDim_PlanarDistance, DrawDim_PlanarRadius, and DrawDim_Radius.

Standard_EXPORT Standard_Boolean DrawDim_Dimension::IsValued | ( |  | ) | const

Standard_EXPORT void DrawDim_Dimension::SetValue | ( | const Standard_Real | avalue | ) |

Standard_EXPORT Draw_Color DrawDim_Dimension::TextColor | ( |  | ) | const

Standard_EXPORT void DrawDim_Dimension::TextColor | ( | const Draw_Color & | C | ) |

## Field Documentation

Standard_Boolean DrawDim_Dimension::is_valued `[protected]`

Draw_Color DrawDim_Dimension::myTextColor `[protected]`

Standard_Real DrawDim_Dimension::myValue `[protected]`

The documentation for this class was generated from the following file:

- DrawDim_Dimension.hxx